Bug 203173 - Installer fails on rpm-build with RHEL4U4
Installer fails on rpm-build with RHEL4U4
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
410
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Beth Nackashi
:
Depends On:
Blocks: 201770
  Show dependency treegraph
 
Reported: 2006-08-18 15:20 EDT by Matthew Davis
Modified: 2007-08-06 12:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: rhn414
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-20 10:48:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Davis 2006-08-18 15:20:08 EDT
Description of problem:
The issue is that U4 released new rpm-* packages.  But rpm-build is not provided

in @ Base.  The installer see's its not installed and tries to install the one

provided in the ISO, which will fail.


# pwd
/mnt/released/RHEL-4/U4/AS/i386/tree/RedHat/RPMS
# ls -al rpm-*
-rw-r--r--  17 root root  671615 Jun  2 09:59 rpm-4.3.3-18_nonptl.i386.rpm
-rw-r--r--  17 root root  466467 Jun  2 09:59 rpm-build-4.3.3-18_nonptl.i386.rpm
-rw-r--r--  17 root root 3403001 Jun  2 10:00 rpm-devel-4.3.3-18_nonptl.i386.rpm
-rw-r--r--  32 root root  801569 Jun  2 10:00 rpm-libs-4.3.3-18_nonptl.i386.rpm
-rw-r--r--  17 root root   81432 Jun  2 10:00 rpm-python-4.3.3-18_nonptl.i386.rpm



Version-Release number of selected component (if applicable):
rhn-satellite-4.1.0-145

How reproducible:
Everytime.

Steps to Reproduce:
1. Install @ Base from RHEL4U4
2. Try to install the satellite.


Expected results:
Successful install

  
Actual results:
# ./install.pl 
* Starting the Red Hat Network Satellite installer.
* Performing pre-install checks.
* Pre-install checks complete.  Beginning installation.
Admin Email Address? mdavis@redhat.com
* RHN Registration.
** Registration: System is already registered with RHN.  Not re-registering.
* Installing updates.
* Installing RHN packages.
Could not install RHN packages.  Most likely your system is not configured with
the @Base package group.  See the RHN Satellite Server Installation Guide for
more information about Software Requirements.  Exit value: 250.
Please examine /var/log/rhn/rhn-installation.log for more information.


From /var/log/rhn/rhn-installation.log

RHN Satellite installation log.
Command: ./install.pl 

warning: bootstrap/oracle-devel-9.2.0.6.0-4.i386.rpm: V3 DSA signature: NOKEY,
key ID db42a60e
could not find ParserDetails.ini in /usr/lib/perl5/vendor_perl/5.8.0/XML/SAX
ERROR: unable to read system id.
Determining what updates are needed...
RPMS/alsa-lib-1.0.6-5.RHEL4.i386.rpm
RPMS/audiofile-0.2.6-1.i386.rpm
RPMS/compat-libstdc++-296-2.96-132.7.2.i386.rpm
RPMS/esound-0.2.35-2.i386.rpm
RPMS/gd-2.0.28-4.i386.rpm
RPMS/libidn-0.5.6-1.i386.rpm
RPMS/newt-perl-1.08-7.i386.rpm
RPMS/perl-DateManip-5.42a-3.noarch.rpm
RPMS/perl-HTML-Parser-3.35-6.i386.rpm
RPMS/perl-HTML-Tagset-3.03-30.noarch.rpm
RPMS/perl-libwww-perl-5.79-5.noarch.rpm
RPMS/perl-libxml-enno-1.02-31.noarch.rpm
RPMS/perl-Parse-Yapp-1.05-32.noarch.rpm
RPMS/perl-Time-HiRes-1.55-3.i386.rpm
RPMS/perl-URI-1.30-4.noarch.rpm
RPMS/perl-XML-Dumper-0.71-2.noarch.rpm
RPMS/perl-XML-Encoding-1.01-26.noarch.rpm
RPMS/perl-XML-Parser-2.34-5.i386.rpm
RPMS/PyXML-0.8.3-6.i386.rpm
RPMS/rpm-build-4.3.3-13_nonptl.i386.rpm
RPMS/xorg-x11-deprecated-libs-6.8.2-1.EL.13.20.i386.rpm
warning: RPMS/alsa-lib-1.0.6-5.RHEL4.i386.rpm: V3 DSA signature: NOKEY, key ID
db42a60e
error: Failed dependencies:
        rpm = 4.3.3-13_nonptl is needed by rpm-build-4.3.3-13_nonptl.i386
Comment 4 Robin Norwood 2006-08-30 14:06:43 EDT
The seamonkey issue should be fixed as well.

Testing notes:  The satellite should work with RHEL4-u4 and RHEL3-u8.

Comment 9 Beth Nackashi 2006-09-11 12:41:17 EDT
Retested using
rhn-satellite-4.1.0-160-redhat-linux-as-i386-4-embedded-oracle.iso and
rhn-satellite-4.1.0-160-redhat-linux-as-i386-3-embedded-oracle.iso.
Comment 10 Beth Nackashi 2006-09-20 10:48:55 EDT
closing -- current release.  RHN414 phase 14 gazillion is now in production.

Note You need to log in before you can comment on or make changes to this bug.